%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-gdk-pixbuf
Version:        2.42.12
Release:        %mkrel 1
Summary:        MinGW Windows GDK Pixbuf library

License:        LGPL-2.0-or-later
Group:          Development/Other
URL:            https://www.gtk.org/
Source0:        https://download.gnome.org/sources/gdk-pixbuf/%{release_version}/gdk-pixbuf-%{version}.tar.xz

# If you want to rebuild this, do:
# wine /usr/i686-w64-mingw32/sys-root/mingw/bin/gdk-pixbuf-query-loaders.exe | sed s@'Z:/usr/i686-w64-mingw32/sys-root/mingw'@'..'@ > gdk-pixbuf.loaders
Source1:        gdk-pixbuf.loaders

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils

BuildRequires:  mingw32-glib2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw64-libjpeg
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-libpng
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw64-libtiff

BuildRequires:  gettext
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkg-config
# For glib-compile-resources
BuildRequires:  glib2-devel

%description
MinGW Windows GDK Pixbuf library.


%package -n mingw32-gdk-pixbuf
Summary:        MinGW Windows GDK Pixbuf library

%description -n mingw32-gdk-pixbuf
MinGW Windows GDK Pixbuf library.


%package -n mingw64-gdk-pixbuf
Summary:        MinGW Windows GDK Pixbuf library

%description -n mingw64-gdk-pixbuf
MinGW Windows GDK Pixbuf library.


%{?mingw_debug_package}


%prep
%setup -q -n gdk-pixbuf-%{version}


%build
%mingw_meson -Drelocatable=true -Dbuiltin_loaders=bmp,gif,ico,jpeg,tiff,png -Dman=false -Dothers=enabled

# Copy the loaders.cache file to the source tree
install -m 0644 %{SOURCE1} build_win32/gdk-pixbuf/loaders.cache
install -m 0644 %{SOURCE1} build_win64/gdk-pixbuf/loaders.cache

%mingw_ninja


%install
%mingw_ninja_install

# The .dll.a files are import libraries, but as the regular .dll's are
# only dlopen'ed by GTK they provide no additional value so they can be dropped
rm -f %{buildroot}%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.dll.a
rm -f %{buildroot}%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.dll.a

# Install the loaders.cache file
install -m 0644 %{SOURCE1} %{buildroot}%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
install -m 0644 %{SOURCE1} %{buildroot}%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

%mingw_find_lang %{name} --all-name

# (tv) fix build:
rm -fr %buildroot/{%{mingw32_datadir},%{mingw64_datadir}}/man

%files -n mingw32-gdk-pixbuf -f mingw32-%{name}.lang
%license COPYING
%{mingw32_bindir}/gdk-pixbuf-csource.exe
%{mingw32_bindir}/gdk-pixbuf-pixdata.exe
%{mingw32_bindir}/gdk-pixbuf-query-loaders.exe
%{mingw32_bindir}/libgdk_pixbuf-2.0-0.dll
%dir %{mingw32_libdir}/gdk-pixbuf-2.0
%dir %{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{mingw32_libdir}/libgdk_pixbuf-2.0.dll.a
%{mingw32_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{mingw32_includedir}/gdk-pixbuf-2.0/

%files -n mingw64-gdk-pixbuf -f mingw64-%{name}.lang
%license COPYING
%{mingw64_bindir}/gdk-pixbuf-csource.exe
%{mingw64_bindir}/gdk-pixbuf-pixdata.exe
%{mingw64_bindir}/gdk-pixbuf-query-loaders.exe
%{mingw64_bindir}/libgdk_pixbuf-2.0-0.dll
%dir %{mingw64_libdir}/gdk-pixbuf-2.0
%dir %{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{mingw64_libdir}/libgdk_pixbuf-2.0.dll.a
%{mingw64_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{mingw64_includedir}/gdk-pixbuf-2.0/




%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 2.42.12-1.mga10
+ Revision: 2069245
- new version: 2.42.12

* Mon May 06 2024 daviddavid <daviddavid> 2.42.11-1.mga10
+ Revision: 2062401
- new version: 2.42.11

* Sun Oct 29 2023 daviddavid <daviddavid> 2.42.10-2.mga10
+ Revision: 2002737
- rebuild for new mingw-libtiff 4.6.0

* Tue Oct 25 2022 ovitters <ovitters> 2.42.10-1.mga9
+ Revision: 1899312
- new version 2.42.10

* Sat Aug 27 2022 tv <tv> 2.42.9-1.mga9
+ Revision: 1881261
- Update to 2.42.9
+ ovitters <ovitters>
- new version 2.42.9

* Wed Apr 06 2022 tv <tv> 2.42.8-2.mga9
+ Revision: 1846497
- Backport patch for CVE-2021-44648
- BR glib2-devel for glib-compile-resources, thus fixing build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- new version 2.42.8

* Fri Apr 09 2021 ovitters <ovitters> 2.42.6-1.mga9
+ Revision: 1714341
- new version 2.42.6

* Sun Mar 21 2021 ovitters <ovitters> 2.42.4-1.mga9
+ Revision: 1706985
- new version 2.42.4

* Mon Mar 08 2021 ovitters <ovitters> 2.42.2-1.mga9
+ Revision: 1700693
- new version 2.42.2
- new version 2.42.0

* Sat Sep 26 2020 tv <tv> 2.40.0-4.mga8
+ Revision: 1630237
- rebuild for new mingw stack

* Fri Sep 11 2020 tv <tv> 2.40.0-3.mga8
+ Revision: 1624458
- Drop unused BRs

* Thu Feb 20 2020 umeabot <umeabot> 2.40.0-2.mga8
+ Revision: 1546444
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 2.40.0-1.mga8
+ Revision: 1486540
- new version: 2.40.0

* Thu Aug 29 2019 daviddavid <daviddavid> 2.36.12-3.mga8
+ Revision: 1434974
- rebuild for new mingw-jasper 2.0.14

* Thu Sep 20 2018 umeabot <umeabot> 2.36.12-2.mga7
+ Revision: 1279673
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 2.36.12-1.mga7
+ Revision: 1247784
- new version: 2.36.12

* Wed Apr 06 2016 tv <tv> 2.34.0-1.mga6
+ Revision: 998901
- rebuild with new gcc

* Wed Apr 06 2016 tv <tv> 2.32.3-7.mga6
+ Revision: 998878
- new release

* Sat Feb 06 2016 umeabot <umeabot> 2.28.2-7.mga6
+ Revision: 940926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.28.2-6.mga5
+ Revision: 743058
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.28.2-5.mga5
+ Revision: 682436
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.28.2-4.mga4
+ Revision: 483620
- imported package mingw-gdk-pixbuf


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.28.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.28.2-3
- Rebuild against libpng 1.6

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.28.2-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 09 2013 Kalev Lember <kalevlember@gmail.com> - 2.28.2-1
- Update to 2.28.2

* Tue Mar 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.28.0-1
- Update to 2.28.0

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.3-1
- Update to 2.27.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.26.4-1
- Update to 2.26.4

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 16 2012 Kalev Lember <kalevlember@gmail.com> - 2.26.1-1
- Update to 2.26.1

* Mon Mar 26 2012 Kalev Lember <kalevlember@gmail.com> - 2.26.0-1
- Update to 2.26.0

* Wed Mar 14 2012 Kalev Lember <kalevlember@gmail.com> - 2.25.2-5
- Build 64 bit Windows binaries

* Tue Mar 06 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.25.2-4
- Renamed the source package to mingw-gdk-pixbuf (RHBZ #800383)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.25.2-3
- Rebuild against the mingw-w64 toolchain

* Sun Feb 19 2012 Kalev Lember <kalevlember@gmail.com> - 2.25.2-2
- Include all GDI+ loaders in the main DLL (#795152)
- Also include the PNG loader, for consistency with native gdk-pixbuf2 package

* Wed Feb 08 2012 Kalev Lember <kalevlember@gmail.com> - 2.25.2-1
- Update to 2.25.2
- Dropped upstreamed patches

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.25.0-1
- Update to 2.25.0
- Rebuild against libpng 1.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Aug 27 2011 Kalev Lember <kalevlember@gmail.com> - 2.24.0-1
- Update to 2.24.0

* Wed Jul  6 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.5-1
- Update to 2.23.5
- Rebuild against win-iconv

* Fri Jun  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.3-2
- Rebuild for libjpeg-turbo

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.23.3-1
- Update to 2.23.3
- Dropped the configure argument --enable-gdiplus as it's enabled by default
- Dropped upstreamed patch
- Dropped the proxy-libintl pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-2
- Rebuild in order to have soft dependency on libintl
- Bump the BR: mingw32-filesystem to >= 61 because of mingw32(gdiplus.dll) provides

* Thu Sep 23 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.22.0-1
- Update to 2.22.0

* Mon Sep 20 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.7-2
- Fixed a bug which caused the path /usr/i686-pc-mingw32/sys-root/mingw to get hardcoded
  in the resulting library resulting in runtime failures on Win32 environments
- Moved the file %%{_mingw32_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders to
  %%{_mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.21.7-1
- Initial release (split off from the mingw32-gtk2 package)
- Dropped the -static subpackage as it provides no added value
- Dropped all the .dll.a and .la files from the loaders as they provide no added value
- Dropped the libpng 1.4 hack as upstream has provided a proper fix

